#
# spec file for package yaics
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yaics
Version:        0.6
Release:        2.12
Summary:        A simple GNU social client written in C++/Qt
License:        GPL-3.0-or-later
Group:          System/GUI/Other
URL:            https://gitlab.com/stigatle/yaics
Source:         https://gitlab.com/stigatle/yaics/-/archive/%{version}-1/yaics-%{version}-1.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)

%description
Yaics is a simple GNU social client written in C++ and Qt and
licensed under the GNU GPL 3.0 (or later).

%prep
%setup -q -n %{name}-%{version}-1

%build
%qmake5 PREFIX=%{_prefix}
%make_build

%install
%qmake5_install

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%license COPYING
%doc AUTHORS ChangeLog README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/*.png
%dir %{_datadir}/appdata/
%{_datadir}/appdata/%{name}.appdata.xml

%changelog
* Sun Jun 27 2021 Christophe Giboudeaux <christophe@krop.fr>
- Remove the unneeded QtWebkit build dependency.
* Mon Aug 17 2020 Dirk Mueller <dmueller@suse.com>
- update to 0.6:
  * bugfixes
* Fri Aug 11 2017 pgajdos@suse.com
- remove aspell support [bsc#1052971]
* Sun Mar 26 2017 sor.alexei@meowr.ru
- Update to version 0.5.2:
  * Add a new image preview feature, remove previous webwidget.
  * Update the tray icon.
  * Add font selection in settings window.
  * Adjust the "time" in the statuses, to keep the CPU load low.
  * Add a follow\unfollow button in the status.
  * Add "max num statuses" to show at once, to prevent it from
    locking up over time.
  * Update translations (Russian, Ukrainian).
  * Add a German translation.
* Tue Mar 17 2015 sor.alexei@meowr.ru
- Update to 0.5:
  * Remove 'tor port is...', due to tor browser bundle port and
    'regular' tor port are different.
  * Fix the [x] in the tabs.
  * Add a setting for enabling the feature that shows the
    attachment inside the messages.
  * Fix a crash when you click icon and yaics is not fully loaded
    yet.
  * Make urls fully visible instead of shortened, makes it easier to
    view/confirm the urls.
  * Correct settings restart requirement notifications.
  * Fix two buttons tooltip.
  * Remove '(paused)' from tabs titles, now it writes it as a
    status message instead.
  * Minor bugfixes and enhancements.
  * Update translations.
  * Add Ukrainian translation.
* Sat Jan 24 2015 sor.alexei@meowr.ru
- Initial package.
